Bug 1279446 - [abrt] plasma-workspace: QMetaCallEvent::~QMetaCallEvent(): ksplashqml killed by SIGABRT
[abrt] plasma-workspace: QMetaCallEvent::~QMetaCallEvent(): ksplashqml killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:94350f6e0fa29e7778e1bb0b4b2...
:
: 1331767 1334081 1335636 1338704 1349248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 08:28 EST by wintonian
Modified: 2016-12-20 10:34 EST (History)
37 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:34:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.14 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: core_backtrace (5.67 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: dso_list (9.88 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: environ (1.05 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: maps (46.21 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: mountinfo (3.04 KB, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: open_fds (784 bytes, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details
File: var_log_messages (295 bytes, text/plain)
2015-11-09 08:28 EST, wintonian
no flags Details

  None (edit)
Description wintonian 2015-11-09 08:28:27 EST
Description of problem:
I rebooted after issuing "DNF --distro-sync --releasever=23".

Crach appeared at restart.

Version-Release number of selected component:
plasma-workspace-5.4.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     2082
kernel:         4.2.5-300.fc23.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 QMetaCallEvent::~QMetaCallEvent at kernel/qobject.cpp:468
 #8 QCoreApplication::removePostedEvents at kernel/qcoreapplication.cpp:1670
 #9 QObjectPrivate::~QObjectPrivate at kernel/qobject.cpp:235
 #11 QScopedPointerDeleter<QObjectData>::cleanup at ../../src/corelib/tools/qscopedpointer.h:54
 #12 QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> >::~QScopedPointer at ../../src/corelib/tools/qscopedpointer.h:101
 #13 QObject::~QObject at kernel/qobject.cpp:883
 #14 QXcbConnection::~QXcbConnection at qxcbconnection.cpp:612
 #15 qDeleteAll<QList<QXcbConnection*>::const_iterator> at ../../../../src/corelib/tools/qalgorithms.h:317
 #16 qDeleteAll<QList<QXcbConnection*> > at ../../../../src/corelib/tools/qalgorithms.h:325
 #17 QXcbIntegration::~QXcbIntegration at qxcbintegration.cpp:190

Potential duplicate: bug 1220042
Comment 1 wintonian 2015-11-09 08:28:33 EST
Created attachment 1091735 [details]
File: backtrace
Comment 2 wintonian 2015-11-09 08:28:35 EST
Created attachment 1091736 [details]
File: cgroup
Comment 3 wintonian 2015-11-09 08:28:36 EST
Created attachment 1091737 [details]
File: core_backtrace
Comment 4 wintonian 2015-11-09 08:28:37 EST
Created attachment 1091738 [details]
File: dso_list
Comment 5 wintonian 2015-11-09 08:28:40 EST
Created attachment 1091739 [details]
File: environ
Comment 6 wintonian 2015-11-09 08:28:41 EST
Created attachment 1091740 [details]
File: limits
Comment 7 wintonian 2015-11-09 08:28:43 EST
Created attachment 1091741 [details]
File: maps
Comment 8 wintonian 2015-11-09 08:28:45 EST
Created attachment 1091742 [details]
File: mountinfo
Comment 9 wintonian 2015-11-09 08:28:46 EST
Created attachment 1091743 [details]
File: namespaces
Comment 10 wintonian 2015-11-09 08:28:47 EST
Created attachment 1091744 [details]
File: open_fds
Comment 11 wintonian 2015-11-09 08:28:49 EST
Created attachment 1091745 [details]
File: proc_pid_status
Comment 12 wintonian 2015-11-09 08:28:50 EST
Created attachment 1091746 [details]
File: var_log_messages
Comment 13 J. Randall Owens 2015-11-25 00:35:39 EST
Another user experienced a similar problem:

1. Boot Fedora
2. sddm starts
3. log in

That's all, as far as I can tell. It could be aggravated by crufty old configuration files, but not as crufty as a lot of mine, only back to F21 or maybe F20.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     4976
kernel:         4.2.6-300.fc23.x86_64
package:        plasma-workspace-5.4.3-3.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1024
Comment 14 shishii 2016-01-11 11:53:23 EST
Another user experienced a similar problem:

The problem occurred when the session starts.
It is not the first time that happens.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     1501
kernel:         4.2.8-300.fc23.x86_64
package:        plasma-workspace-5.5.1-1.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 15 martti.huttunen72 2016-03-26 11:53:45 EDT
This happens 100% on my laptop.
KDE session never starts.

kernel-4.4.6-300.fc23.x86_64
plasma-workspace-5.5.5-4.fc23.x86_64

using

xorg-x11-drv-nvidia-358.16-2.fc23.x86_64

Hardware:
Acer Aspire E5-573G-55PQ
Intel i5-5200U
Nvidia GT920M/Intel HD Graphics 5500

However, this bug does not occur at all using the nouveau driver supplied with the mentioned kernel version.

Also, XFCE session works fine with both drivers.
Comment 16 martti.huttunen72 2016-03-26 18:04:15 EDT
Actually, scratch that (comment 15). Turns out my laptop needs bumblebee for the nvidia binary driver to work at all. So it backed off to fb driver, obviously not working too well for plasma... My bad.
Comment 17 Patrick C. F. Ernzer 2016-04-23 07:50:53 EDT
Similar problem has been detected:

logging into plasma, 's probably the closed source NVIDIA driver. Close bug CANTFIX if that is so.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksplashqml org.fedoraproject.fedora.twenty.three --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     8557
kernel:         4.4.7-300.fc23.x86_64
package:        plasma-workspace-5.5.5-5.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Mathias Panzenböck 2016-04-29 09:15:48 EDT
*** Bug 1331767 has been marked as a duplicate of this bug. ***
Comment 19 Vitalii Cherniak 2016-05-08 02:12:16 EDT
*** Bug 1334081 has been marked as a duplicate of this bug. ***
Comment 20 TFK 2016-05-12 13:46:19 EDT
*** Bug 1335636 has been marked as a duplicate of this bug. ***
Comment 21 D. Stimits 2016-05-19 21:59:42 EDT
Similar problem has been detected:

Logged out.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksplashqml org.fedoraproject.fedora.twenty.three --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     1577
kernel:         4.4.9-300.fc23.x86_64
package:        plasma-workspace-5.6.3-2.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Julien HENRY 2016-05-20 02:45:29 EDT
Similar problem has been detected:

When trying to stop computer. KMenu -> Quit

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     1639
kernel:         4.4.9-300.fc23.x86_64
package:        plasma-workspace-5.6.3-2.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 dk 2016-05-23 05:53:40 EDT
*** Bug 1338704 has been marked as a duplicate of this bug. ***
Comment 24 Joe Gallagher 2016-06-01 14:30:23 EDT
Similar problem has been detected:

rebooted

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     2052
kernel:         4.4.9-300.fc23.x86_64
package:        plasma-workspace-5.6.4-1.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            714
Comment 25 user016608 2016-06-23 00:17:13 EDT
*** Bug 1349248 has been marked as a duplicate of this bug. ***
Comment 26 user016608 2016-06-24 02:39:34 EDT
I switched my splash screen theme from "Fedora Twenty Three" to Breeze" and the error disappeared.
Comment 27 Oliver Sampson 2016-07-25 04:29:15 EDT
Similar problem has been detected:

At login the crash occured

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        ksplashqml Breeze --pid
crash_function: QMetaCallEvent::~QMetaCallEvent
executable:     /usr/bin/ksplashqml
global_pid:     1528
kernel:         4.6.4-201.fc23.x86_64
package:        plasma-workspace-5.7.1-2.fc23
reason:         ksplashqml killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 Fedora End Of Life 2016-11-24 08:14:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 29 Fedora End Of Life 2016-12-20 10:34:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.